# Contributing to TvData

Thank you for your interest in contributing to TvData!

<!--- FR: Merci de votre intérêt pour contribuer à TvData ! La version française de ce guide se trouve plus bas. --->

## How to Contribute

1. **Fork the repository** and clone your fork locally.
2. **Create a new branch** for your feature or bugfix:
   ```bash
   git checkout -b my-feature
   ```
3. **Install development dependencies**:
   ```bash
   pip install -r requirements-dev.txt
   ```
4. **Write your code** and add tests as needed.
5. **Run tests** to ensure everything works:
   ```bash
   pytest
   ```
6. **Commit your changes** and push your branch to your fork.
7. **Open a pull request** with a clear description of your changes.

## Code Style
- Follow PEP8 for Python code.
- Use type hints where possible.
- Add docstrings to public functions and classes.

## Reporting Issues
- Please use the GitHub issues tracker to report bugs or request features.
- Include as much detail as possible.

## Contact
For questions, open an issue or discussion on GitHub.

---

# 🇫🇷 Contribuer à TvData

Merci de votre intérêt pour contribuer à TvData !

## Comment contribuer

1. **Forkez le dépôt** et clonez votre fork en local.
2. **Créez une nouvelle branche** pour votre fonctionnalité ou correctif :
   ```bash
   git checkout -b ma-fonctionnalite
   ```
3. **Installez les dépendances de développement** :
   ```bash
   pip install -r requirements-dev.txt
   ```
4. **Développez votre code** et ajoutez des tests si besoin.
5. **Lancez les tests** pour vérifier que tout fonctionne :
   ```bash
   pytest
   ```
6. **Commitez vos modifications** et poussez votre branche sur votre fork.
7. **Ouvrez une pull request** avec une description claire de vos changements.

## Style de code
- Respectez PEP8 pour le code Python.
- Utilisez les annotations de type autant que possible.
- Ajoutez des docstrings aux fonctions et classes publiques.

## Signaler un problème
- Merci d'utiliser le système d'issues GitHub pour signaler un bug ou demander une fonctionnalité.
- Donnez le plus de détails possible.

## Contact
Pour toute question, ouvrez une issue ou une discussion sur GitHub.
